python-biopython (1.83+dfsg1-5) unstable; urgency=medium

  * Team upload.
  * Cherry-pick patch from upstream to fix FTBFS with Python 3.13.
    Closes: #1081665
  * Remove constraints unnecessary since bullseye (oldstable):
    + python3-biopython: Drop versioned constraint on ncbi-blast+ (>= 2.10.1-3)
      in Recommends.
  * d/control: adjust build-deps to be more cross-build friendly.
  * Fix some of the DEP-3 patch metadata

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 14 Sep 2024 13:51:11 +0200

python-biopython (1.83+dfsg1-4) unstable; urgency=medium

  * skip-scipy-in-codonalign.patch: new: skip scipy tests on riscv64.
    This patch is introduced to give some breath to Risc-V CI runners while
    the core of the problem is investigated. (Closes: #1079439)
  * d/rules: skip ncbi tools tests due to #1079439.
  * d/rules: update list of excluded tests due to missing packages.

 -- Étienne Mollier <emollier@debian.org>  Wed, 04 Sep 2024 21:44:05 +0200

python-biopython (1.83+dfsg1-3) unstable; urgency=medium

  * Replace skip-xmlio-tests.patch by seqxml-parser.patch.
    Instead of skipping the test, upstream introduced a change that fixed
    the XML parser for use with the newer version of expat. (Closes: #1064147)
  * d/control: declare compliance to standards version 4.7.0.
  * d/python3-biopython.lintian-overrides: update file name.

 -- Étienne Mollier <emollier@debian.org>  Wed, 22 May 2024 15:14:56 +0200

python-biopython (1.83+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * Drop emboss from test dependencies on emboss due to #1069098.

 -- Andrius Merkys <merkys@debian.org>  Wed, 17 Apr 2024 07:32:28 -0400

python-biopython (1.83+dfsg1-1) unstable; urgency=medium

  * New upstream pseudo-version 1.83+dfsg1.
    This is a minor version bump to include the new test artifact necessary
    to allow the test suite to pass on big endian architectures.  The nature
    of the change makes it unsuitable to represent using the regular d/patches
    series.  See upstream issue 4658[1] for further information.
    [1}: https://github.com/biopython/biopython/issues/4658
  * d/rules: skip test Tutorial on non-amd64.

 -- Étienne Mollier <emollier@debian.org>  Wed, 20 Mar 2024 21:10:02 +0100

python-biopython (1.83+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version
  * Exclude emboss from Build-Depends for 32bit architectures since
    emboss will be removed for these architectures (see #1062371)

  [ Étienne Mollier ]
  * skip-xmlio-tests.patch: new: skip test failures.
    This works around #1064147 so it is not a serious failure anymore.
    The problem being still latent, said bug is not closed for now.
  * d/t/run-unit-test: deploy newly needed test data.
  * d/control: reduce availability of test dependencies.
    Following the 64-bit time_t migration, and the removal of several
    Debian Med packages from the 32-bit archives, these items are not
    generally available anymore, and only checked on amd64 architecture.

 -- Étienne Mollier <emollier@debian.org>  Sun, 10 Mar 2024 21:00:41 +0100

python-biopython (1.81+dfsg-3) unstable; urgency=medium

  * d/control: remove dependency on python3-unittest2. (Closes: #1058967)

 -- Étienne Mollier <emollier@debian.org>  Tue, 19 Dec 2023 15:06:46 +0100

python-biopython (1.81+dfsg-2) unstable; urgency=medium

  * python3.12.patch: new: fix ftbfs with python3.12.
    Thanks to Antonio (Closes: #1055708)
  * d/control: remove obsolete comment.
  * d/control: move to dh-sequence-python3.

 -- Étienne Mollier <emollier@debian.org>  Sat, 11 Nov 2023 11:16:46 +0100

python-biopython (1.81+dfsg-1) unstable; urgency=medium

  * Migrate biopython 1.81 to unstable.
  * Merges fixes from python-biopython 1.80+dfsg-6.

 -- Étienne Mollier <emollier@debian.org>  Mon, 10 Jul 2023 22:50:52 +0200

python-biopython (1.81+dfsg-0+exp1) experimental; urgency=medium

  * New upstream version 1.81+dfsg
  * d/control: remove obsolete version constraint on dssp.
  * numpy-1.24.patch: remove: applied upstream.
  * muscle3.patch: fix typo in patch description.
  * remove-distutils-import.patch: add.

 -- Étienne Mollier <emollier@debian.org>  Sun, 09 Jul 2023 20:21:39 +0200

python-biopython (1.80+dfsg-6) unstable; urgency=medium

  * d/control: depend on python3-reportlab (>= 4.0.4-1~). (Closes: #1040776)

 -- Étienne Mollier <emollier@debian.org>  Mon, 10 Jul 2023 22:27:12 +0200

python-biopython (1.80+dfsg-5) unstable; urgency=medium

  [ Andreas Tille ]
  * Drop nocheck profile from hevea since its also needed to create doc
    (Closes: #1036174)

  [ Lukas Märdian ]
  * avoid the python3-renderpm dependency (Closes: #1039565)

  [ Étienne Mollier ]
  * d/rules: disable install-doc target with nodoc profile.
  * d/control: enable numpy outside nocheck build profile.
  * d/*.lintian-overrides: make the spelling override more generic.

 -- Étienne Mollier <emollier@debian.org>  Sun, 09 Jul 2023 17:48:34 +0200

python-biopython (1.80+dfsg-4) unstable; urgency=medium

  * Team Upload.
  * Cherry-pick upstream patch to fix problems with
    numpy 1.24 (Closes: #1027253)

 -- Nilesh Patra <nilesh@debian.org>  Thu, 29 Dec 2022 18:52:07 +0530

python-biopython (1.80+dfsg-3) unstable; urgency=medium

  * muscle3.patch: ensure muscle3 is default even if unavailable.
    This fixes the test_doctest failure which occurs because of a
    mismatch between "muscle" and "muscle3" when none of them is
    available.
  * d/control: declare compliance to standards version 4.6.2.

 -- Étienne Mollier <emollier@debian.org>  Fri, 23 Dec 2022 20:22:29 +0100

python-biopython (1.80+dfsg-2) unstable; urgency=medium

  * d/NEWS: fix typo in news item.
  * d/control: bring back t_coffee tests since upstream version revert.
    Closes: #1022307
  * d/control: restore muscle3 instead of plain muscle (version 5).
    Closes: #1009118
  * port_tutorial_to_muscle3.patch: add; fix doctest failures.

 -- Étienne Mollier <emollier@debian.org>  Sun, 04 Dec 2022 19:15:42 +0100

python-biopython (1.80+dfsg-1) unstable; urgency=medium

  * Migrate biopython 1.80 from experimental to unstable.
    Closes: #1024986, #1024858, #1024855, #1025014, #1025022

 -- Étienne Mollier <emollier@debian.org>  Mon, 28 Nov 2022 22:19:25 +0100

python-biopython (1.80+dfsg-1~0exp0) experimental; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Set upstream metadata fields: Security-Contact.
  * privacy_breach_ie9.patch: refresh.
  * adjust-test_GraphicsBitmaps.patch: delete; applied upstream.
  * spelling.patch: delete; applied upstream.
  * mkdssp4.patch: delete; fixed upstream.
  * d/control: remove test dependency on problematic packages; muscle 5
    wrapping is unsupported upstream, and t_coffee suffers from segmentation
    faults documented in #1022570
  * croak-on-muscle5.patch: add; raise RuntimeError with muscle 5.
  * d/NEWS: describe incompatibility with muscle 5; also describe possible
    workarounds.
  * d/not-installed: add tree1 and other_trees.
  * d/*.lintian-overrides: refresh override.
  * debian/python3-biopython.lintian-overrides: override typo; the reported
    spelling error does not seem to match anything meaningful on the side of
    the source code.
  * d/s/lintian-overrides: indicate location of Restriction.md, source of
    Restriction.html.
  * d/copyright: bump copyright years.
  * muscle3.patch: add; default to use muscle3 command if available.
    This is in preparation of the availability of a dedicated muscle3
    package with the explicitly versioned command, since muscle 5 is a very
    different program but can be installed in parallel.

 -- Étienne Mollier <emollier@debian.org>  Thu, 24 Nov 2022 18:39:22 +0100

python-biopython (1.79+dfsg-3) unstable; urgency=medium

  [ Peter Michael Green ]
  * Restrict architecture list of muscle build-dependency to reflect
    architectures where the current version of muscle is available.
    (Closes: #1006667)

  [ Étienne Mollier ]
  * d/control,d/python3-biopython.links: move from w3-dtd-mathml to slightly
    more recent w3c-sgml-lib.
    Thanks to Peter Green and Vincent Lefevre.
  * Remove d/python3-biopython.lintian-overrides; not in use anymore.

 -- Étienne Mollier <emollier@debian.org>  Sat, 05 Mar 2022 15:36:12 +0100

python-biopython (1.79+dfsg-2) unstable; urgency=medium

  * Move w3-dtd-mathml from Suggests to Depends to avoid dangling symlink
    mathml2.dtd

 -- Andreas Tille <tille@debian.org>  Thu, 17 Feb 2022 20:15:09 +0100

python-biopython (1.79+dfsg-1) unstable; urgency=medium

  * Migrate from Experimental to Unstable.
  * Mark spelling.patch as not needing forward.
    It seems that the file being package might not exists in upcoming
    Biopython versions anymore.
  * adjust-test_GraphicsBitmaps.patch: forwarded upstream.
  * d/control: breaks ncbi-acc-download (<< 0.2.7-2~)

 -- Étienne Mollier <emollier@debian.org>  Fri, 22 Oct 2021 18:10:48 +0200

python-biopython (1.79+dfsg-1~0exp0) experimental; urgency=medium

  * New upstream version
  * d/copyright: update years per LICENSE file.
  * Refresh patches:
    + mkdssp4.patch:
      - renamed from mkdssp4.path, fixing typo in the file extension,
      - skip failing test_PDB_DSSP due to mkdssp 4 too recent,
      - updated patch author's email address;
    + following renderpm upgrade, add adjust-test_GraphicsBitmaps.patch to
      properly skip again the test failing due to missing font;
    + add spelling.patch to fix new spelling-error-in-binary caught by lintian.

 -- Étienne Mollier <emollier@debian.org>  Sat, 16 Oct 2021 12:30:51 +0200

python-biopython (1.78+dfsg-6) unstable; urgency=medium

  * d/control: bump python3-renderpm to python3-biopython dependency.
    (Closes: #995689)

 -- Étienne Mollier <emollier@debian.org>  Mon, 11 Oct 2021 22:25:02 +0200

python-biopython (1.78+dfsg-5) unstable; urgency=medium

  * d/control: update uploader address
  * d/watch: fix broken url to github
  * d{,/tests}/control: add full_suite autopkgtest (Closes: #986410)
  * Standards-Version: 4.6.0 (routine-update)
  * Use secure URI in Homepage field.

 -- Étienne Mollier <emollier@debian.org>  Sun, 22 Aug 2021 21:56:28 +0200

python-biopython (1.78+dfsg-4) unstable; urgency=medium

  * Add mkdssp4.patch. (Closes: #976542)
  * Standards-Version: 4.5.1 (routine-update)
  * Bump dependency on dssp version 4.0.0.

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Sat, 05 Dec 2020 23:32:40 +0100

python-biopython (1.78+dfsg-3) unstable; urgency=medium

  * Bumped ncbi-blast+ version requirement to 2.10.1-3
  * Made sure run-unit-test did not attempt memory allocation override
  * debian/not-installed made more generic for various python versions
    (Closes: #972381)

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Sat, 17 Oct 2020 13:59:04 +0200

python-biopython (1.78+dfsg-2) unstable; urgency=medium

  * Bumped build requirement on ncbi-blast+ 2.10.1-2 and greater:
      - fixed building on mipsel;
      - removed patch working around makeblastdb bug in v5, now unnecessary.
  * Cleaned up patches:
      - added DEP3 description to blastdbv4-tests-filter-archs.patch;
      - reviewed and forwarded patches upstream when applicable.

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Fri, 02 Oct 2020 23:18:07 +0200

python-biopython (1.78+dfsg-1) unstable; urgency=medium

  * Bumped build requirement on ncbi-blast+ 2.10.0-3 and greater,
  * Reworked the patch working around makeblastd bug in v5 to fall back in v4
    only on architectures on which corrections are yet to be implemented.
  * Removed patches applied upstream.
  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Improved build reproducibility

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Wed, 09 Sep 2020 22:53:13 +0200

python-biopython (1.77+dfsg-3) unstable; urgency=medium

  [ Etienne Mollier ]
  * Forwarded implementation of makeblastdb's `-blastdb_version` flag to
    upstream.  (minor change)

  [ Andreas Tille ]
  * Adapt to python3-scipy by taking over pull request
      https://github.com/biopython/biopython/pull/2998
    as quilt patch.
    Closes: #966928

 -- Etienne Mollier <etienne.mollier@mailoo.org>  Mon, 22 Jun 2020 19:21:47 +0200

python-biopython (1.77+dfsg-2) unstable; urgency=medium

  * Declared python3-biopython breaks: cnvkit (<< 0.9.7-1~) (Closes: #962944)

 -- Etienne Mollier <etienne.mollier@mailoo.org>  Tue, 16 Jun 2020 22:12:00 +0200

python-biopython (1.77+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.
  * Test makeblastdb using format version 4, this is to work around issues on
    32 bits CPU architectures.  Closes: #960756.

  [ Steffen Moeller ]
  * Also clean .pygtex and .pygstyle files in Doc

 -- Etienne Mollier <etienne.mollier@mailoo.org>  Thu, 11 Jun 2020 20:10:34 +0200

python-biopython (1.76+dfsg-2) unstable; urgency=medium

  * Team upload.

  [ Michael R. Crusoe ]
  * debian/control: mark the -doc package as Multi-Arch: foreign

  [ Dylan Aïssi ]
  * Add upstream patch to fix tests with new NCBI BLAST DB v5 (Closes: #959587)

  [ Andreas Tille ]
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Refer to specific version of license GPL-2+.

 -- Dylan Aïssi <daissi@debian.org>  Fri, 15 May 2020 11:40:33 +0200

python-biopython (1.76+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Remove patches applied upstream:
    fix_doctests, ppc64el_precision, python_3.8_iteration_fix.patch
  * Remove patches missing from debian/patches/series.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 20 Dec 2019 11:00:46 -0800

python-biopython (1.75+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Patch added to reduce the required precision for one part of the
    test_phenotype_fit.TestPhenoMicro test

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 17 Dec 2019 11:35:41 +0100

python-biopython (1.75+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Restrict where we test phyml for now.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 16 Dec 2019 22:15:00 +0100

python-biopython (1.75+dfsg-2) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * Team upload.
  * Skip PDB_ResidueDepth test, as http://mgltools.scripps.edu/packages/MSMS
    is not yet packaged for Debian
  * Skip test_mmtf{,_online} as https://github.com/rcsb/mmtf-python is not yet
    packaged for Debian
  * Added missing test dependencies: python-unittest2, python{,3}-networkx,
    samtools
  * i386: build-dep on raxml for testing purposes
  * debian/patches/arm64.patch from upstream to fix the PairwiseAligner
  * debian/patches/fix_doctest: from me to fix the Bio.Cluster._cluster doctests
    Now the tests are required to pass again.

  [ Andreas Tille ]
  * Drop Python2 package
    Closes: #937606

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 15 Dec 2019 14:38:14 +0100

python-biopython (1.75+dfsg-1) unstable; urgency=medium

  * New upstream version
    Closes: #944242
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * Remove trailing whitespace in debian/rules
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g
  * Set upstream metadata fields: Repository.
  * Build-Depends: python3-pygments
  * Python 3.8 iteration fix from upstream
  * Ignore remaining build time test errors since these are discussed with
    upstream and will be fixed soon.  On the other hand latest version of
    biopython is needed to fix bugs in other Debian Med packages.
  * Seems explicit Depends: python is needed now for Python2 packages
  * Remove test test_Tutorial.py which is bound to fail from autopkgtest

 -- Andreas Tille <tille@debian.org>  Wed, 04 Dec 2019 17:29:48 +0100

python-biopython (1.73+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Fri, 11 Jan 2019 23:23:52 +0100

python-biopython (1.72+dfsg-2) unstable; urgency=medium

  [ Andreas Tille ]
  * Remove unneeded comment about samtools - which is not found by biopython
    anyway

  [ Graham Inggs ]
  * Team upload
  * Fix compatibility with ReportLab 3.5 (Closes: #913064)
  * Clean up some trailing whitespace in debian/* files

 -- Graham Inggs <ginggs@debian.org>  Wed, 05 Dec 2018 11:41:01 +0000

python-biopython (1.72+dfsg-1) unstable; urgency=medium

  * New upstream version
    Closes: #904317
  * Standards-Version: 4.1.5
  * debian/rules: Respect DEB_BUILD_OPTIONS in dh_auto_test
  * Drop ancient Python version fields
  * Deactivate exclusion of samtools_tool test and see if it works

 -- Andreas Tille <tille@debian.org>  Sat, 28 Jul 2018 04:45:32 +0200

python-biopython (1.71+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.1.3
  * Point Vcs fields to salsa.debian.org
  * debhelper 11
  * Add dh-python to Build-Depends since this will be dropped from python3's
    Depends soon
  * Fix Python version in Suggestes
  * Make sure Doc dir ends up in python-biopython-doc package

 -- Andreas Tille <tille@debian.org>  Fri, 06 Apr 2018 09:03:06 +0200

python-biopython (1.70+dfsg-4) unstable; urgency=medium

  * Symlink to mathml2.dtd of w3-dtd-mathml package
    Closes: #672407
  * Standards-Version: 4.1.2

 -- Andreas Tille <tille@debian.org>  Tue, 19 Dec 2017 11:07:47 +0100

python-biopython (1.70+dfsg-3) unstable; urgency=medium

  * Copy *.rst doc files.
    Closes: #872222
  * Apply two upstream patches to deal with change in BWA output
    Closes: #880236
  * Drop duplicated python*-numpy in Build-Depends
  * Standards-Version: 4.1.1
  * Fix permission of dtd files

 -- Andreas Tille <tille@debian.org>  Tue, 07 Nov 2017 13:24:21 +0100

python-biopython (1.70+dfsg-2) unstable; urgency=medium

  * Team upload

  * Fixed build dependencies (added python-setuptools) (Closes: #869597).

 -- Steffen Moeller <moeller@debian.org>  Mon, 31 Jul 2017 18:24:01 +0200

python-biopython (1.70+dfsg-1) unstable; urgency=medium

  * Team upload

  * New upstream release.
  * debian/upstream/metadata: Added references to
    OMICtools, bio.tools, RRID
  * debian/rules: Merged two redundant clean overrides

 -- Steffen Moeller <moeller@debian.org>  Sun, 23 Jul 2017 18:08:39 +0200

python-biopython (1.68+dfsg-3) unstable; urgency=medium

  * (Build-)Depend: phyml only on those architectures where it is available
  * Relax test conditions in test_phenotype_fit to work around some rounding
    differences on arm64
    (see https://github.com/biopython/biopython/issues/1038 )

 -- Andreas Tille <tille@debian.org>  Fri, 20 Jan 2017 16:52:04 +0100

python-biopython (1.68+dfsg-2) unstable; urgency=medium

  * Add Tutorial.tex to *-doc package since its used in autopkgtest and
    its just an ignorable payload for this package
  * debhelper 10
  * d/watch: version=4
  * Add python-scipy since it is used in test suite

 -- Andreas Tille <tille@debian.org>  Sun, 15 Jan 2017 14:56:26 +0100

python-biopython (1.68+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 29 Aug 2016 13:23:35 +0200

python-biopython (1.67+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Point d/watch to github
  * xz compression in d/watch
  * Take over patch from upstream to fix detection of rpsblast
  * Skip test needing a network connection
  * Add +bindnow hardening option
  * Delete useless .cvsignore files from package
  * New Build-Depends for documentation: hevea, texlive-latex-base,
    texlive-latex-extra, texlive-fonts-recommended
  * Makefile for Doc needs to be separately called (clean and build)
  * Remove doc sources from binary doc package

 -- Andreas Tille <tille@debian.org>  Thu, 09 Jun 2016 13:05:14 +0200

python-biopython (1.66+dfsg-3) unstable; urgency=medium

  * Apply fix from upstream for test case dealing with new blastp output format
    Closes: #824048
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Thu, 19 May 2016 16:48:15 +0200

python-biopython (1.66+dfsg-2) unstable; urgency=medium

  * Packaging moved from SVN to Git
  * Bumped Standards-Version
  * Exclude phyml test for the moment
    Closes: #813262

 -- Andreas Tille <tille@debian.org>  Wed, 09 Mar 2016 15:25:38 +0100

python-biopython (1.66+dfsg-1) unstable; urgency=medium

  * New upstream version (some patches applied upstream)

 -- Andreas Tille <tille@debian.org>  Sun, 08 Nov 2015 19:28:26 +0100

python-biopython (1.65+dfsg-3) unstable; urgency=medium

  * Also run Tutorial test
  * Prefer Github as contact point
  * Build-Depends: python3-mysqldb
    Closes: #801112

 -- Andreas Tille <tille@debian.org>  Tue, 06 Oct 2015 16:53:06 +0200

python-biopython (1.65+dfsg-2) unstable; urgency=medium

  * Build-Depends & Suggests: phylip + fixed test_phyml_tool
    Closes: #799820
  * debian/clean: Remove test results occuring now since phylip can be used
  * Activate more tests formerly deactivated

 -- Andreas Tille <tille@debian.org>  Wed, 23 Sep 2015 15:18:58 +0200

python-biopython (1.65+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Apply fix for broken test from Upstream Git
  * Versioned (Build-)Depends: python-rdflib (>= 4)
  * Prevent privacy-breach-logo

 -- Andreas Tille <tille@debian.org>  Tue, 12 May 2015 11:08:43 +0200

python-biopython (1.64+dfsg-5) unstable; urgency=medium

  * Exclude samtools test from unit testing for the moment since this
    package is in flux and it is not clear what architectures will be
    supported finally
  * Do not suggest python3 packages in python-biopython and no
    python package sin python3-biopython
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Wed, 24 Sep 2014 10:08:12 +0200

python-biopython (1.64+dfsg-4) unstable; urgency=medium

  * debian/patches/fix_test_problem_on_powerpc.patch: Patch provided by
    upstream to run test suite on PowerPC (thanks to Michiel de Hoon
    <mjldehoon@yahoo.com>)
    Closes: #751277
  * Install egg metadata
    Closes: #743927
  * Add samtools to Build-Depends + Recommends since it is checked in test
    suite

 -- Andreas Tille <tille@debian.org>  Mon, 01 Sep 2014 15:59:30 +0200

python-biopython (1.64+dfsg-3) unstable; urgency=medium

  * Skip test on mips architecture which is known to fail
  * Versioned (Build-)Depends wise (>= 2.4.1-16) to make sure tests
    will pass on each architecture (problems with previous wise on
    powerpc, s390x)

 -- Andreas Tille <tille@debian.org>  Fri, 15 Aug 2014 11:41:23 +0200

python-biopython (1.64+dfsg-2) unstable; urgency=medium

  * Use HOME in build_dir for testing (thanks to Jakub Wilk <jwilk@debian.org>
    for the patch)
    Closes: #751586

 -- Andreas Tille <tille@debian.org>  Sat, 14 Jun 2014 20:12:02 +0200

python-biopython (1.64+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Build-Depends raxml only on those architectures where it is available
    Closes: #750845

 -- Andreas Tille <tille@debian.org>  Sun, 08 Jun 2014 10:25:35 +0200

python-biopython (1.63+dfsg-5) unstable; urgency=medium

  * Apply upstream fix to fix cpairwise2 import issue under python3
    Closes: #747494

 -- Andreas Tille <tille@debian.org>  Sat, 10 May 2014 07:52:48 +0200

python-biopython (1.63+dfsg-4) unstable; urgency=medium

  [ Martin Pitt ]
  * Depend on our own packages in the autopkgtest and add missing
    "allow-stderr" restriction.
    Closes: #747391

  [ Andreas Tille ]
  * Move ncbi-blast+ from Suggests to Recommends due to a hint from
    upstream

 -- Andreas Tille <tille@debian.org>  Thu, 08 May 2014 11:33:47 +0200

python-biopython (1.63+dfsg-3) unstable; urgency=medium

  * Set HOME=/tmp also in autopkgtest
  * Do not try to create doc in arch-only builds

 -- Andreas Tille <tille@debian.org>  Sun, 04 May 2014 00:18:47 +0200

python-biopython (1.63+dfsg-2) unstable; urgency=medium

  * Force writable HOME to make sure t-coffee test will pass
    Closes: #746624

 -- Andreas Tille <tille@debian.org>  Fri, 02 May 2014 23:14:50 +0200

python-biopython (1.63+dfsg-1) unstable; urgency=medium

  * Remove Bio\Entrez\DTDs\mathml2-qname-1.mod
    Closes: #746484

 -- Andreas Tille <tille@debian.org>  Wed, 30 Apr 2014 14:47:53 +0200

python-biopython (1.63-2) unstable; urgency=medium

  * Enable Python3
  * debian/copyright:
     - Add Upstream-Contact
     - DEP5
  * Run (nearly) full test suite
  * Add autopkgtest
  * Add packages from Build-Depends needed for tests to Depends

 -- Andreas Tille <tille@debian.org>  Thu, 06 Mar 2014 11:51:27 +0100

python-biopython (1.63-1) unstable; urgency=low

  * New upstream release

 -- Philipp Benner <philipp@debian.org>  Thu, 09 Jan 2014 15:38:19 +0100

python-biopython (1.62-1) unstable; urgency=low

  * New upstream release
  * Using CDBS to build the package

 -- Philipp Benner <philipp@debian.org>  Sun, 15 Sep 2013 16:36:26 +0200

python-biopython (1.61-1) unstable; urgency=low

  [ Andreas Tille ]
  * debian/upstream:
     - Took over citation information from tasks file
     - Valid BibTeX authors field
     - Firstnames of authors
  * debian/control: Fixed Vcs fields

  [ Philipp Benner ]
  * New upstream release
  * Standards version 3.9.4

 -- Philipp Benner <philipp@debian.org>  Thu, 14 Feb 2013 22:08:04 +0100

python-biopython (1.60-1) unstable; urgency=low

  * New upstream release.
  * Removed quilt dependency.
  * Migrated to dh_python2.
  * patches/01-enable-mmCIF.patch: not required anymore.
  * debian/source/format: 3.0 (quilt) added.
  * debian/rules: added hardening flags.

 -- Philipp Benner <philipp@debian.org>  Sat, 29 Sep 2012 16:43:59 +0200

python-biopython (1.59-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Standards version 3.9.3.
  * debian/rules: added dh_numpy.

 -- Philipp Benner <philipp@debian.org>  Fri, 09 Mar 2012 13:38:09 +0000

python-biopython (1.58-1) unstable; urgency=low

  * New upstream release.
  * debian/rules: added targets build-arch and build-indep.
  * debian/control: Standards version 3.9.2.

 -- Philipp Benner <philipp@debian.org>  Wed, 02 Nov 2011 19:51:49 +0000

python-biopython (1.57-1) unstable; urgency=low

  * New upstream release (Closes: #585282).

 -- Philipp Benner <philipp@debian.org>  Sun, 10 Apr 2011 17:58:01 +0000

python-biopython (1.56-1) unstable; urgency=low

  * New upstream release.

 -- Philipp Benner <philipp@debian.org>  Thu, 02 Dec 2010 17:30:09 +0000

python-biopython (1.54-1) unstable; urgency=low

  * New upstream release.

 -- Philipp Benner <philipp@debian.org>  Fri, 28 May 2010 00:06:43 +0200

python-biopython (1.53-1) unstable; urgency=low

  * New upstream release.

 -- Philipp Benner <philipp@debian.org>  Mon, 21 Dec 2009 15:30:37 +0000

python-biopython (1.52-1) unstable; urgency=low

  * New upstream release.

 -- Philipp Benner <philipp@debian.org>  Wed, 30 Sep 2009 10:16:03 +0000

python-biopython (1.51final-2) unstable; urgency=low

  * Merged patch from ubuntu to make the package ready for
    python2.6 (Closes: #543236).

 -- Philipp Benner <philipp@debian.org>  Mon, 24 Aug 2009 09:29:27 +0000

python-biopython (1.51final-1) unstable; urgency=low

  * New upstream release
  * debian/control: suggesting muscle, clustalw, mafft, emboss, and
    blast2 for installation

 -- Philipp Benner <philipp@debian.org>  Wed, 19 Aug 2009 10:41:19 +0000

python-biopython (1.51b-2) unstable; urgency=low

  * Dropped python-biopython-martel.
  * Dropped dependency on python-egenix-mxtexttools.
  * Removed DM-Upload-Allowed: yes.

 -- Philipp Benner <philipp@debian.org>  Tue, 11 Aug 2009 19:47:52 +0000

python-biopython (1.51b-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    - moved python-martel back to section python (python packages do not
    use section oldlibs)
  * debian/patches/02-fix-wise-test.patch
    - removed (merged with upstream)
  * debian/control:
    - Changed the description of python-biopython-sql according to Peter Cock's
      suggestions.
    [Charles Plessy]

 -- Philipp Benner <pbenner@uni-osnabrueck.de>  Sat, 27 Jun 2009 15:14:52 +0000

python-biopython (1.49-1) unstable; urgency=low

  * New upstream release.
    - uses NumPy rather than its precursor Numeric (Closes: #478457)
    - Martel, Bio.Mindy, Bio.MetaTool, Bio.EUtils, Bio.Saf, Bio.NBRF, and
      Bio.IntelliGenetics are deprecated.
    - Bio.PubMed and the online code in Bio.GenBank are now considered obsolete
      and will be deprecated in a future release.
    - Bio.Fasta is also considered to be obsolete and will eventually be
      deprecated.
  * debian/control:
    - added myself as Uploader.
    - depends on python-numpy instead of python-numeric-ext.
    - moved python-martel to oldlibs section, priority extra as it is
      deprecated, and indicate this in the description.
    - build-depend on python-mysqldb and wise for the tests after building.
  * Use Debhelper 7 (debian/co{ntrol,mpat}).
  * debian/copyright: added myself to the Hall of Fame and updated to latest
    draft of the machine-readable format.
  * debian/watch: makes beta versions lower by prepending a tilde between
    numbers and letters (1.49b -> 1.49~b).
  * mmCIF support enabled:
    - debian/patches/01-enable-mmCIF.patch: as the name indicates ;)
    - debian/rules: patch and unpatch through /usr/share/quilt/quilt.make.
    - debian/control: build-depends on quilt.
  * debian/python-biopython-doc.doc-base: corrected index name that was changed
    upstream.
  * debian/patches/02-fix-wise-test.patch: prevents tests failing with Debian's
    version of Wise.
  * debian/rules: perform tests after build.

 -- Charles Plessy <plessy@debian.org>  Fri, 23 Jan 2009 22:19:50 +0900

python-biopython (1.47-1) unstable; urgency=low

  * New upstream release
  * Standards version 3.8.0

 -- Philipp Benner <pbenner@uni-osnabrueck.de>  Sun, 03 Aug 2008 14:29:33 +0200

python-biopython (1.45-3) unstable; urgency=low

  * Removed dependency on python-numeric-ext since it is already in
    the recommends field

 -- Philipp Benner <pbenner@uni-osnabrueck.de>  Sun, 01 Jun 2008 10:34:48 +0200

python-biopython (1.45-2) unstable; urgency=low

  * Add dependency on python-numeric-ext (Bio.PDB uses MLab from this package)

 -- Morten Kjeldgaard <mok@bioxray.au.dk>  Wed, 23 Apr 2008 00:01:16 +0200

python-biopython (1.45-1) unstable; urgency=low

  * New upstream release.
  * Added doc-base.

 -- Philipp Benner <pbenner@uni-osnabrueck.de>  Sat, 29 Mar 2008 12:20:41 +0100

python-biopython (1.44-3) unstable; urgency=low

  * New maintainer e-mail address.
  * debian/control: Added DM-Upload-Allowed: yes.

 -- Philipp Benner <pbenner@uni-osnabrueck.de>  Mon, 14 Jan 2008 18:35:18 +0100

python-biopython (1.44-2) unstable; urgency=low

  * Moved suggested package python-numeric-ext to recommends field
    (Closes: #452379).
  * Moved wise from recommends to suggests field.
  * Removed package tags from debian/control.
  * Added homepage field to debian/control.
  * Changed maintainer to Debian-Med Packaging Team.
  * Removed .DS_Store.gz file from doc package.

 -- Philipp Benner <mail@philipp-benner.de>  Thu, 22 Nov 2007 13:35:00 +0100

python-biopython (1.44-1) unstable; urgency=low

  * New upstream release.
  * Machine interpretable copyright file.

 -- Philipp Benner <mail@philipp-benner.de>  Fri, 16 Nov 2007 16:49:11 +0100

python-biopython (1.43-2) unstable; urgency=low

  * Rebuild for python-2.5 support (Closes: #424025).

 -- Philipp Benner <mail@philipp-benner.de>  Thu, 14 Jun 2007 21:40:18 +0200

python-biopython (1.43-1) unstable; urgency=low

  * New upstream release
  * Adapted debian-med tags

 -- Philipp Benner <mail@philipp-benner.de>  Tue, 27 Mar 2007 17:45:58 +0200

python-biopython (1.42-2) unstable; urgency=low

  * uscan support
  * package tags

 -- Philipp Benner <mail@philipp-benner.de>  Sat,  9 Sep 2006 14:39:18 +0200

python-biopython (1.42-1) unstable; urgency=low

  * New upstream release

 -- Philipp Benner <mail@philipp-benner.de>  Sat, 22 Jul 2006 01:30:51 +0200

python-biopython (1.41-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Update package to the last python policy (Closes: #373515).

 -- Pierre Habouzit <madcoder@debian.org>  Fri, 30 Jun 2006 13:45:39 +0200

python-biopython (1.41-2) unstable; urgency=low

  * suggests python-numeric-ext
  * now with KDTree

 -- Philipp Benner <mail@philipp-benner.de>  Mon, 20 Feb 2006 21:02:18 +0100

python-biopython (1.41-1) unstable; urgency=low

  * New upstream release

 -- Philipp Benner <mail@philipp-benner.de>  Sat,  5 Nov 2005 20:15:03 +0100

python-biopython (1.40b-3) unstable; urgency=low

  * now using compatibility level 4
  * removed obsolete dependencies (closes: #328142)

 -- Philipp Benner <mail@philipp-benner.de>  Wed, 14 Sep 2005 12:06:06 +0200

python-biopython (1.40b-2) unstable; urgency=low

  * Function `mmcif_get_string' implicitly converted to pointer
    (closes: #326403)
  * now standards version 3.6.2

 -- Philipp Benner <mail@philipp-benner.de>  Wed,  7 Sep 2005 09:53:30 +0200

python-biopython (1.40b-1) unstable; urgency=low

  * new release
  * dropped support for python2.2

 -- Philipp Benner <mail@philipp-benner.de>  Tue, 05 Apr 2005 20:55:59 +0200

python-biopython (1.30-2) unstable; urgency=low

  * Fixed bugs in debian/rules and debian/control which prevented
    porting the package.
  * Using -fPIC to build shared lib KDTree. (closes: #278959)

 -- Philipp Benner <mail@philipp-benner.de>  Sun, 10 Oct 2004 19:48:04 +0200

python-biopython (1.30-1) unstable; urgency=low

  * Initial Release. (closes: #157402)

 -- Philipp Benner <mail@philipp-benner.de>  Tue, 21 Sep 2004 20:02:00 +0200
